require 'spec_helper'

module Wizypay
  RSpec.describe MerchantCategory do
    let(:api_key) { 'key' }
    let(:api_secret) { 'secret' }
    let(:api_endpoint) { 'https://api.wizypay.com' }
    let(:request) { stub_request(:get, "#{api_endpoint}/merchant_categories").
        with(headers: { 'Accept'        => 'application/json',
                        'Authorization' => /WIZYPAY #{api_key}:.*/ }) }
    before do
      Wizypay.setup(api_key, api_secret, api_endpoint)
    end

    describe '.all' do
      it 'returns' do
        request.to_return(status: 200, body: '{"data": [{"id": 1}]}')
        response = MerchantCategory.all
        expect(request).to have_been_made
        expect(response.length).to eq 1
        expect(response.first).to be_a(MerchantCategory)
        expect(response.first.id).to eq 1
      end
    end
  end
end
